Bug 918508 (Horde_Compress_Fast) - Review Request: php-horde-Horde-Compress-Fast - Fast Compression Library
Summary: Review Request: php-horde-Horde-Compress-Fast - Fast Compression Library
Keywords:
Status: CLOSED ERRATA
Alias: Horde_Compress_Fast
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Shawn Iwinski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: Horde_Core
TreeView+ depends on / blocked
 
Reported: 2013-03-06 12:24 UTC by Remi Collet
Modified: 2013-03-21 17:41 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-16 01:37:53 UTC
shawn: fedora-review+
gwync: fedora-cvs+
fedora: rhel-rawhide-


Attachments (Terms of Use)
fedora-review (6.37 KB, text/plain)
2013-03-06 18:27 UTC, Shawn Iwinski
no flags Details
phpci (9.92 KB, text/x-log)
2013-03-06 18:28 UTC, Shawn Iwinski
no flags Details

Description Remi Collet 2013-03-06 12:24:49 UTC
Spec URL: https://raw.github.com/remicollet/remirepo/3b96af39f06a793a5276bb1391c004abaf625c17/php/horde/php-horde-Horde-Compress-Fast/php-horde-Horde-Compress-Fast.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-horde-Horde-Compress-Fast-1.0.1-1.remi.src.rpm
Description: 
Provides compression suitable for packing strings on-the-fly in PHP code
(as opposed to more resource-intensive compression algorithms such as
DEFLATE).

Fedora Account System Username: remi

Note: new optional dependency of Horde_Cache (2.0.3)

Comment 1 Shawn Iwinski 2013-03-06 18:27:58 UTC
Created attachment 706194 [details]
fedora-review

Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 -b 918508

Comment 2 Shawn Iwinski 2013-03-06 18:28:46 UTC
Created attachment 706195 [details]
phpci

Comment 3 Shawn Iwinski 2013-03-06 18:32:38 UTC
No blockers, but a couple questions:

1) Is "php(language)" available in RHEL 5?

2) For file/dir ownership, wouldn't this be better?:

     %dir %{pear_phpdir}/Horde/Compress
     %{pear_phpdir}/Horde/Compress/Fast.php
     %{pear_phpdir}/Horde/Compress/Fast


===== APPROVED =====

Comment 4 Remi Collet 2013-03-07 08:26:16 UTC
Thanks for the review.
1/ No, but EL-5 is not targeted.
2/ result will be the same, just more explicit.

New Package SCM Request
=======================
Package Name: php-horde-Horde-Compress-Fast
Short Description: Fast Compression Library
Owners: remi nb
Branches: f18 el6
InitialCC:

Comment 5 Gwyn Ciesla 2013-03-07 13:18:06 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2013-03-07 14:18:06 UTC
php-horde-Horde-Compress-Fast-1.0.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-horde-Horde-Compress-Fast-1.0.1-1.el6

Comment 7 Fedora Update System 2013-03-07 14:18:17 UTC
php-horde-Horde-Compress-Fast-1.0.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/php-horde-Horde-Compress-Fast-1.0.1-1.fc18

Comment 8 Fedora Update System 2013-03-07 23:59:20 UTC
php-horde-Horde-Compress-Fast-1.0.1-1.fc18 has been pushed to the Fedora 18 testing repository.

Comment 9 Fedora Update System 2013-03-16 01:37:55 UTC
php-horde-Horde-Compress-Fast-1.0.1-1.fc18 has been pushed to the Fedora 18 stable repository.

Comment 10 Fedora Update System 2013-03-21 17:41:11 UTC
php-horde-Horde-Compress-Fast-1.0.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.